Redmine - Defect #37718

Repository browser does not show "+" (plus sign) in filename
2022-09-28 04:52 - Go MAEDA

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Marius BALTEANU % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version: 428
Resolution: Fixed Affected version: 4.2.0
Description
As reported in the forum post Cannot browse file contents that filename contains "+" i..., plus sings in filenames are not displayed in
the repository browser when browsing a Subversion repository.
Related issues:
Related to Redmine - Defect #32752: Ruby 2.7: Remove deprecated URI.escape/un... Closed

Associated revisions

Revision 21880 - 2022-10-02 09:14 - Marius BALTEANU

Fix repository browser does not show \"+\" (plus sign) in filename (#37718).

Patch by Go MAEDA.

Revision 21881 - 2022-10-02 09:29 - Marius BALTEANU
Merge r21880 from trunk to 5.0-stable (#37718).

Revision 21882 - 2022-10-02 09:35 - Marius BALTEANU
Backport only the fix without tests to 4.2-stable (#37718).

History

#1 - 2022-09-28 05:01 - Go MAEDA

This issue is appeared to be caused by r19455 that replaced URI.escape with CGl.escape at
source:trunk/lib/redmine/scm/adapters/subversion_adapter.ro@19455#L111.

$ irb

irb (main) :001:0> RUBY_VERSION

=> "2.6.9"

irb(main) :002:0> require 'cgi'

=> true

irb (main) :003:0> CGI.unescape ('+.txt")
=> " txt"

irb (main) :004:0> URI.unescape('+.txt")
=> "+ . txt"

#2 - 2022-09-28 05:02 - Go MAEDA
- Related to Defect #32752: Ruby 2.7: Remove deprecated URI.escape/unescape added

#3 - 2022-09-28 05:02 - Go MAEDA

- Affected version set to 4.2.0

#4 - 2022-09-28 06:55 - Go MAEDA

- File 0001-Subversion-adapter-cannot-handle-filenames-containin.patch added

Attaching a patch to fix the issue.

#5 - 2022-09-29 01:36 - Go MAEDA
https://www.redmine.org/boards/2/topics/67656
https://www.redmine.org/projects/redmine/repository/svn/revisions/19455
https://www.redmine.org/projects/redmine/repository/svn/revisions/19455/entry/trunk/lib/redmine/scm/adapters/subversion_adapter.rb#L111

- Target version set to Candidate for next minor release

#6 - 2022-09-29 02:24 - Go MAEDA

- Subject changed from Repository browser does not show plus sign in filename to Repository browser does not show "+" (plus sign) in filename

#7 - 2022-10-01 06:54 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.2.9
Setting the target version to 4.2.9.

#8 - 2022-10-02 08:57 - Marius BALTEANU
- Assignee set to Marius BALTEANU
- Target version changed from 4.2.9 to 4.2.8

#9 - 2022-10-02 09:39 - Marius BALTEANU
- Status changed from New to Resolved

- Resolution set to Fixed

I've committed and merged the fix to 5.0-stable and 4.2-stable branches with one mention: for 4.2-stable, I've backport only the fix because the
changes to the tests do not apply cleanly (caused by #16849).

#10 - 2022-10-02 14:02 - Marius BALTEANU

- Status changed from Resolved to Closed

Files

0001-Subversion-adapter-cannot-handle-filenames-containin.patch 38 KB 2022-09-28 Go MAEDA
